Bug 976796 - no upgrade path from udisks in RHEL 6.4 to udisks2 in RHEL 7.0
no upgrade path from udisks in RHEL 6.4 to udisks2 in RHEL 7.0
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: udisks2 (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Tomáš Bžatek
Desktop QE
Depends On:
  Show dependency treegraph
Reported: 2013-06-21 09:31 EDT by David Shea
Modified: 2015-03-03 18:06 EST (History)
4 users (show)

See Also:
Fixed In Version: udisks2-2.1.0-3.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-06-13 08:53:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Shea 2013-06-21 09:31:38 EDT
Description of problem:
udisks2 does not provide any metadata to obsolete the udisks package. When upgrading from RHEL 6.4 to RHEL 7.0, the udisks package and its dependencies are left on the system.

Version-Release number of selected component (if applicable):
Comment 2 Tomáš Bžatek 2013-06-21 10:12:38 EDT
Right, thanks for noticing this. Normally I would deny this request since both daemons may co-exist nicely, having different API and different d-bus names. There are also projects written on top of udisks(1).

However we removed udisks from rawhide (F20) and officially marked it as deprecated in F19, though it still lives as somebody else took it to manage the rest of the dying udisks users.

It's too late for F19 but I'll add the Obsoletes and Provides for F20 and RHEL7.
Comment 8 Ludek Smid 2014-06-13 08:53:06 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.